Bug 1679334 (CVE-2019-17344) - CVE-2019-17344 xen: xsa290: missing preemption in x86 PV page table unvalidation
Summary: CVE-2019-17344 xen: xsa290: missing preemption in x86 PV page table unvalidation
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-17344
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685577
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 22:17 UTC by Pedro Sampaio
Modified: 2019-11-12 09:01 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:34 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-02-20 22:17:37 UTC
XSA-273 changes required, among other things, making any PTE updates
restartable. The changes making PTE updates restartable assumed that L2
pagetables would always be promoted preemptibly; but this turns out not
to be the case when using the 'linear pagetable' feature; the result was
that interrupted operations are not handled properly in certain cases.

Furthermore, previous security work making pagetable update preemptible
failed to account for 'linear pagetables' at L3 and L4 levels, making it
possible for operations to run for longer than acceptable times.

Comment 1 Andrej Nemec 2019-03-05 14:20:22 UTC
References:

https://seclists.org/oss-sec/2019/q1/163

Comment 2 Andrej Nemec 2019-03-05 14:26:47 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1685577]


Note You need to log in before you can comment on or make changes to this bug.